exercise_03_12: main.o Account.o .gitignore
	g++ main.o Account.o -o exercise_03_12

main.o: main.s
	g++ -c main.cpp -o main.o

main.s: main.ii
	g++ -S main.ii -o main.s

main.ii: main.cpp Account.hpp
	g++ -E main.cpp -o main.ii

Account.o: Account.s
	g++ -c Account.s -o Account.o

Account.s: Account.ii
	g++ -S Account.ii -o Account.s

Account.ii: Account.cpp Account.hpp
	g++ -E Account.cpp -o Account.ii

.gitignore:
	echo exercise_03_12 > .gitignore

clean:
	rm -rf .gitignore *.o *.s *.ii exercise_03_12

test:
	@./exercise_03_12 > test1.out
	@diff test1.out test1.expected > /dev/null && echo "TEST PASSED" || echo "TEST FAILED"

